# generateblock {disallowed} - Bitcoin

#### Parameters

`output` - string, required

The address or descriptor to send the newly generated btc to.

`transactions` - json array, required

An array of hex strings which are either txids or raw transactions.

Txids must reference transactions currently in the mempool.

All transactions must be valid and in valid order, otherwise the block will be rejected.

#### Request

```java
curl --location --request POST 'https://go.getblock.io/<ACCESS-TOKEN>/' 
--header 'Content-Type: application/json' 
--data-raw '{"jsonrpc": "2.0",
"method": "generateblock",
"params": [null, null],
"id": "getblock.io"}'
```

#### Response

```java
{
    "result": null,
    "id": "getblock.io",
    "status_code": 405,
    "message": "Method not allowed"
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.getblock.io/api-reference/bitcoin-btc/btc_generateblock.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
